Bug 406751 - zabbix-web missing php-bcmath dependency
zabbix-web missing php-bcmath dependency
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: zabbix (Show other bugs)
el4
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 13:14 EST by Russell Harrison
Modified: 2008-04-26 11:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.4.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-26 11:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Harrison 2007-11-30 13:14:25 EST
Description of problem:
The php-bcmath package isn't available in RHEL 4, only RHEL 5.  zabbix-web
depends on the package and won't install.

Version-Release number of selected component (if applicable):
zabbix-web.i386 0:1.4.2-3.el4

How reproducible:
Attempt to install zabbix-web on a RHEL 4 box from EPEL

Steps to Reproduce:
$ sudo yum install zabbix-web
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package zabbix-web.i386 0:1.4.2-3.el4 set to be updated
--> Running transaction check
--> Processing Dependency: php-bcmath for package: zabbix-web
--> Finished Dependency Resolution
Error: Missing Dependency: php-bcmath is needed by package zabbix-web
  
Actual results:
Missing Dependency

Expected results:
zabbix-web installs
Comment 1 Dan Horák 2007-12-02 08:44:34 EST
the bcmath module is directly included in the main php module in RHEL4, new
package build
Comment 2 Russell Harrison 2007-12-02 22:10:34 EST
So does that mean that the zabbix-web packages just needs to be rebuilt without
the php-bcmath requires for RHEL4?  I am still unable to install zabbix-web with
the php package from RHEL4_U6
Comment 3 Dan Horák 2007-12-03 02:49:39 EST
(In reply to comment #2)
> So does that mean that the zabbix-web packages just needs to be rebuilt without
> the php-bcmath requires for RHEL4?  I am still unable to install zabbix-web 

Yes, it should.

> with the php package from RHEL4_U6

Are there still any unresolved dependencies or it is just not possible to
initialize it after installing?
Updated packages can be downloaded from
http://buildsys.fedoraproject.org/plague-results/fedora-4-epel/zabbix/1.4.2-4.el4.1/
Comment 4 Dan Horák 2007-12-23 16:00:25 EST
zabbix-1.4.4 is in epel-testing
Comment 5 Dan Horák 2008-02-25 12:09:29 EST
ping?
Comment 6 Russell Harrison 2008-04-26 10:29:58 EDT
zabbix web installed without issue from the epel 4 repos with yum.

Thanks for the fix!

Note You need to log in before you can comment on or make changes to this bug.